Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008568 [DCSS] Bug Report crash always 2014-05-18 05:42 2014-09-19 02:55
Reporter minmay View Status public  
Assigned To doy
Priority normal Resolution done  
Status closed   Product Branch 0.15 ancient branch
Summary 0008568: Segfault upon gaining lots of Sif piety on reload
Description To reproduce, load the attached save and spend all the experience on a magic skill.
This appears to only occur upon reloading - spending lots of skill points at once by some other means (say, &s followed by killing a monster) works fine.

It is possible for this to occur in a normal game if a player gains a lot of experience while having no trainable skills, then saves and reloads.
Additional Information
Tags No tags attached.
Attached Files ? file icon asdf.cs [^] (68,177 bytes) 2014-05-18 05:42
txt file icon crash-asdf-20140518-001510.txt [^] (50,232 bytes) 2014-05-18 06:16 [Show Content]

- Relationships

-  Notes
(0026196)
neil (administrator)
2014-05-18 06:13

Happens whenever you gain a god ability (or otherwise get speech) during post-init. The level vault info seems not to be initialised yet: env.level_map_ids is filled with 0 rather than being initialised with INVALID_MAP_INDEX; this causes a crash when god speech substitution looks up the feature at the player's position. Probably there are other uninitialised things that would also lead to a crash then, so just calling level_clear_vault_memory early probably isn't enough.
(0027026)
doy (developer)
2014-08-15 22:55

Fixed in e5d3866.

- Issue History
Date Modified Username Field Change
2014-05-18 05:42 minmay New Issue
2014-05-18 05:42 minmay File Added: asdf.cs
2014-05-18 06:13 neil Note Added: 0026196
2014-05-18 06:16 neil File Added: crash-asdf-20140518-001510.txt
2014-08-15 22:55 doy Note Added: 0027026
2014-08-15 22:55 doy Status new => resolved
2014-08-15 22:55 doy Fixed in Branch => 0.16 development branch
2014-08-15 22:55 doy Resolution open => done
2014-08-15 22:55 doy Assigned To => doy
2014-09-19 02:55 minmay Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker